unit TestCodeSitePlugInForm;

interface

uses
  CodeSiteLogging,
  Winapi.Windows,
  Winapi.Messages,
  System.SysUtils,
  System.Variants,
  System.Classes,
  Vcl.Graphics,
  Vcl.Controls,
  Vcl.Forms,
  Vcl.Dialogs,
  Vcl.StdCtrls;

type
  TfrmTestCodeSitePlugIn = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmTestCodeSitePlugIn: TfrmTestCodeSitePlugIn;

implementation

{$R *.dfm}

uses
  System.NetEncoding;

const
  // Custom messages that will be shared by other CodeSite users, should
  // have an offset greater than 1000, and should be registered with Raize
  // Software to avoid conflicts with other products.
  //
  // Internally used messages should be defined with offsets between 1 and 999.
  csmEncodedText = csmUser + 1;

procedure TfrmTestCodeSitePlugIn.Button1Click(Sender: TObject);
var
  S: string;
  Details: TStringList;
  Base64: TBase64Encoding;
begin
  Details := TStringList.Create;
  try
    S := 'This message will be encoded with Base64 and decoded in the Viewer via the PlugIn';
    Base64 := TBase64Encoding.Create( 0 );
    Details.Text := Base64.Encode( S );
    CodeSite.Send( 'Encoded Details - Standard Inspector', Details );
    CodeSite.SendMsgDetails( csmInfo, csmEncodedText, 'Encoded Details - Custom Inspector', Details, 'EncodedText' );
  finally
    Details.Free;
  end;
end;

end.
